.pc-only {
  display: block;
}
.sp-only {
  display: none;
}

@media (max-width: 768px) {
  .pc-only {
    display: none;
  }
  .sp-only {
    display: block;
  }
}

/* トップページのみヘッダー上部に固定 */
body.home,
body.page-en,
body.page-cello,
body.page-piano,
body.page-violin {
  position: relative;
}
body.home .header-container,
body.page-en .header-container,
body.page-cello .header-container,
body.page-piano .header-container,
body.page-violin .header-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  /* z-index: auto; */
  background: transparent;
}

/* トップ,チェロ部門,英語,ピアノ,バイオリン以外にグラデーション適用 */
/* body:not(.home):not(.page-cello):not(.page-en):not(.page-piano):not(
    .page-violin
  )
  .header {
  background: linear-gradient(
    to right,
    #000000 0%,
    #180a0f 10%,
    #47202e 31%,
    #6c3147 51%,
    #873d58 70%,
    #974463 87%,
    #9d4767 100%
  );
} */

body.cello-template #header,
body.cello-template .header,
body.page-en.cello-template #header,
body.page-en.cello-template .header {
  background: var(--cello-header);
}

/* piano */
body.piano-template #header,
body.piano-template .header,
body.page-en.piano-template #header,
body.page-en.piano-template .header {
  background: var(--piano-header);
}

/* 固定ページヘッダー色変更 */
body.page-about #header,
body.page-workshop #header,
body.page-volunteer #header,
body.page-privacypolicy #header,
body.page-contact #header,
body.page-thank #header,
body.page-archive #header,
body.page-template-page-news #header,
body.single-news #header {
  background: linear-gradient(
    to right,
    #000000 0%,
    #13120c 6%,
    #4d4830 25%,
    #7d744e 43%,
    #a29766 60%,
    #bdb077 75%,
    #cdbf81 89%,
    #d3c585 100%
  );
}

.header-container {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 20px 0 20px 30px;
  @media (max-width: 1024px) {
    height: 107px;
  }
  @media (max-width: 768px) {
    height: 93px;
    padding: 10px 0 10px 25px;
  }
  @media (max-width: 480px) {
    height: 80px;
    padding: 5px 0 5px 10px;
  }
  @media (max-width: 375px) {
    height: 71px;
  }
}

.header-container h1 {
  position: relative;
  z-index: 10;
  display: flex;
  align-items: center;
  gap: 30px;
  @media (max-width: 1024px) {
    gap: 20px;
  }
  @media (max-width: 768px) {
    gap: 10px;
  }
  @media (max-width: 480px) {
    gap: 10px;
  }
}

.header-title {
  margin: 10px 0;
  width: 58%;
  max-width: 830px;
  @media (max-width: 768px) {
    min-width: 330px;
  }
  @media (max-width: 500px) {
    min-width: 310px;
  }
  @media (max-width: 480px) {
    padding-top: 5px;
    min-width: 280px;
  }
  @media (max-width: 420px) {
    min-width: 240px;
  }
  @media (max-width: 375px) {
    min-width: 210px;
  }

  @media (min-width: 768px) {
    min-width: 550px;
  }
  @media (min-width: 1024px) {
    min-width: 620px;
  }
}

.header-logo {
  max-width: 58px;
  @media (max-width: 768px) {
    width: 90%;
    min-width: 43px;
  }
  @media (max-width: 375px) {
    min-width: 32px;
    max-width: 32px;
  }
}

.menu-toggle {
  position: absolute;
  top: 50%;
  right: 30px;
  transform: translateY(-50%);
  z-index: 1001;

  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
  background: none;
  border: none;
  cursor: pointer;
  @media (max-width: 768px) {
    right: 25px;
  }
  @media (max-width: 480px) {
    right: 15px;
  }
}
.menu-bar {
  display: block;
  width: 38px;
  height: 2px;
  background-color: #ffffff;
  transition:
    transform 0.3s ease,
    opacity 0.3s ease,
    background-color 0.3s ease;
  border-radius: 2px;
}

@media (max-width: 1024px) {
  .menu-toggle {
    display: flex;
  }
}
.menu-toggle.active .menu-bar {
  background-color: #ffffff;
}
/* アクティブ時の×アニメーション */
.menu-toggle.active .menu-bar:nth-child(1) {
  transform: translateY(14px) rotate(45deg);
}

.menu-toggle.active .menu-bar:nth-child(2) {
  opacity: 0;
}

.menu-toggle.active .menu-bar:nth-child(3) {
  transform: translateY(-14px) rotate(-45deg);
}

/* en */
.header-title.sp-only.en {
  @media (max-width: 480px) {
    min-width: none;
    width: 100%;
    margin-right: 20%;
  }
  @media (max-width: 375px) {
    min-width: 180px;
  }
}
